Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1471806 - (danmaq) Review Request: danmaq - A small client side Qt program to play danmaku on any screen
Review Request: danmaq - A small client side Qt program to play danmaku on an...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Felix Yan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 09:23 EDT by Zamir SUN
Modified: 2017-08-23 15:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 15:53:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
felixonmars: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Zamir SUN 2017-07-17 09:23:53 EDT
Spec URL: https://zsun.fedorapeople.org/pub/pkgs/danmaQ/danmaQ.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/danmaQ/danmaQ-0-0.0.20170715gitab83866.fc25.src.rpm
Description: DanmaQ is a small client side Qt program to play danmaku on any screen.
Fedora Account System Username: zsun
Comment 1 Zamir SUN 2017-07-17 09:29:00 EDT
The server side is https://dm.tuna.moe/?lang=en
It is open source as well but I am not packaging it at the moment.  https://github.com/tuna/gdanmaku-server

> danmaQ.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
This is not an issue of this package, see bug 1431408

> [ ]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated". 25 files have unknown license. Detailed
>      output of licensecheck in ~/tmp/danmaq-review/review-
>      danmaQ/licensecheck.txt
It is GPLv3. I've filed an issue to ask them add licence announcement into each file https://github.com/tuna/danmaQ/issues/18
Comment 2 Zamir SUN 2017-07-19 11:04:37 EDT
I just realized the release is too long. Updated

Spec URL: https://zsun.fedorapeople.org/pub/pkgs/danmaQ/danmaQ.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/danmaQ/danmaQ-0-0.1.20170715git.fc25.src.rpm
Comment 4 Robert-André Mauchin 2017-07-30 13:42:26 EDT
Hello,

A few comments

 - You should use %make_build instead of make %{?_smp_mflags}
 - You should add a Categories to your desktop file
 - /usr/bin/update-desktop-database &>/dev/null ||: is not needed as your desktop file does not contain a MimeType key. See https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets#desktop-database_.28Needs_description.29
 - In %files, line "%{_datadir}/icons/hicolor/*/apps/": aren't you missing a * at the end or just statusicon.svg, since it's the only file.
 - The Group: tag mutn't be included in Fedora spec file. See: https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections
 - %defattr(-,root,root,-) is not needed

You have a rpmlint error like on your other package:

 - debuginfo-without-sources:
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 25 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/danmaQ/review-
     danmaQ/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/scalable
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/icons/hicolor/scalable/apps(hicolor-icon-theme, fedora-
     logos)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in danmaQ
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in danmaQ-
     debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: danmaQ-0.2-1.fc27.x86_64.rpm
          danmaQ-debuginfo-0.2-1.fc27.x86_64.rpm
          danmaQ-0.2-1.fc27.src.rpm
danmaQ.x86_64: W: spelling-error Summary(en_US) danmaku -> Danubian
danmaQ.x86_64: W: spelling-error %description -l en_US danmaku -> Danubian
danmaQ.x86_64: W: only-non-binary-in-usr-lib
danmaQ.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
danmaQ.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
danmaQ.x86_64: W: no-manual-page-for-binary danmaQ
danmaQ-debuginfo.x86_64: E: debuginfo-without-sources
danmaQ.src: W: spelling-error Summary(en_US) danmaku -> Danubian
danmaQ.src: W: spelling-error %description -l en_US danmaku -> Danubian
3 packages and 0 specfiles checked; 1 errors, 8 warnings.

Thanks.
Comment 5 Zamir SUN 2017-07-31 09:52:15 EDT
Updated.

Spec URL: https://zsun.fedorapeople.org/pub/pkgs/danmaQ/danmaQ.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/danmaQ/danmaQ-0.2-1.fc26.src.rpm

> danmaQ-debuginfo.x86_64: E: debuginfo-without-sources
After several hours test, I assume this is a bug with fedora-review. I assume you configured your mock to use rawhide. If so, you can see it will generate a danmaQ-debugsource-0.2-1.fc27.x86_64.rpm in results dir, while rpmlint currently don't detect this one. RPMlint passed on Fedora 26.
Comment 6 Robert-André Mauchin 2017-07-31 10:44:24 EDT
Ah indeed, I compiled locally insted of fedora-review and it passed fine.

Just one thing: you should use desktop-file-validate in %check.
Comment 7 Zamir SUN 2017-07-31 11:23:03 EDT
(In reply to Robert-André Mauchin from comment #6)
> Ah indeed, I compiled locally insted of fedora-review and it passed fine.
> 
> Just one thing: you should use desktop-file-validate in %check.

Done. 

Spec URL: https://zsun.fedorapeople.org/pub/pkgs/danmaQ/danmaQ.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/danmaQ/danmaQ-0.2-1.fc26.src.rpm
Comment 8 Zamir SUN 2017-08-01 10:45:02 EDT
Anything else that I need to fix before getting approved?
Comment 9 Robert-André Mauchin 2017-08-01 13:56:18 EDT
Sorry, I am having computer issues on the Windows side of things. 

The package is all good to me, you just need official approval now.
Comment 10 Felix Yan 2017-08-04 10:33:03 EDT
Looks good to me.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 25 files have unknown license. Detailed
     output of licensecheck in /root/1471806-danmaQ/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/scalable/apps, /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/scalable
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in danmaQ
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in danmaQ-
     debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: danmaQ-0.2-1.fc27.x86_64.rpm
          danmaQ-debuginfo-0.2-1.fc27.x86_64.rpm
          danmaQ-0.2-1.fc27.src.rpm
danmaQ.x86_64: W: spelling-error Summary(en_US) danmaku -> Danubian
danmaQ.x86_64: W: spelling-error %description -l en_US danmaku -> Danubian
danmaQ.x86_64: W: only-non-binary-in-usr-lib
danmaQ.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
danmaQ.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
danmaQ.x86_64: W: no-manual-page-for-binary danmaQ
danmaQ-debuginfo.x86_64: E: debuginfo-without-sources
danmaQ.src: W: spelling-error Summary(en_US) danmaku -> Danubian
danmaQ.src: W: spelling-error %description -l en_US danmaku -> Danubian
3 packages and 0 specfiles checked; 1 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: danmaQ-debuginfo-0.2-1.fc27.x86_64.rpm
danmaQ-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
danmaQ-debuginfo.x86_64: E: debuginfo-without-sources
danmaQ.x86_64: W: spelling-error Summary(en_US) danmaku -> Danubian
danmaQ.x86_64: W: spelling-error %description -l en_US danmaku -> Danubian
danmaQ.x86_64: W: only-non-binary-in-usr-lib
danmaQ.x86_64: W: no-manual-page-for-binary danmaQ
2 packages and 0 specfiles checked; 1 errors, 4 warnings.



Requires
--------
danmaQ-debuginfo (rpmlib, GLIBC filtered):

danmaQ (rpmlib, GLIBC filtered):
    /bin/sh
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5X11Extras.so.5(Qt_5)(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
danmaQ-debuginfo:
    danmaQ-debuginfo
    danmaQ-debuginfo(x86-64)
    debuginfo(build-id)

danmaQ:
    application()
    application(danmaQ.desktop)
    danmaQ
    danmaQ(x86-64)



Source checksums
----------------
https://github.com/tuna/danmaQ/archive/ab83866/danmaQ-ab83866.tar.gz :
  CHECKSUM(SHA256) this package     : 32f6b8db079ee18ebe1caf481ccb0ef6486dcb94bd39996935f59cb2cc254104
  CHECKSUM(SHA256) upstream package : 32f6b8db079ee18ebe1caf481ccb0ef6486dcb94bd39996935f59cb2cc254104


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1471806
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 11 Zbigniew Jędrzejewski-Szmek 2017-08-04 10:43:33 EDT
One issue: the package should be called "danmaq". See https://fedoraproject.org/wiki/Packaging:Naming:
> Package names should be in lower case [...]
Comment 12 Zamir SUN 2017-08-04 10:53:59 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #11)
> One issue: the package should be called "danmaq". See
> https://fedoraproject.org/wiki/Packaging:Naming:
> > Package names should be in lower case [...]

Thanks for pointing this out.
In the upstream page, the developer stated it as danmaQ, to be clear, it pronounces as danma Q (Q as the letter pronunciation). 
https://github.com/TUNA/danmaQ

I think this fits into the chapter "Case Sensitive" 
https://fedoraproject.org/wiki/Packaging:Naming#Case_Sensitivity
"Keep in mind to respect the wishes of the upstream maintainers". 
So I decide to keep it as danmaQ as lower case is a 'should' rule.

Can I take this as the justification? 

If this is not sufficient, I will change it before file request for repo.
Comment 13 Zbigniew Jędrzejewski-Szmek 2017-08-04 11:14:01 EDT
That's a typical case of Packaging Guidelines being internally inconsistent. The rules were changed to prefer lowercase names recently (1-2 years ago), and that bit of advice you linked to is from before 2008 [https://fedoraproject.org/w/index.php?title=Packaging:Naming&oldid=3672#Case_Sensitivity, that's the first entry in history of this page], and nobody remembered to update it.

I'd rather change both the executable name and package name to lowercase. Camel-cased executable names are an abomination.
Comment 14 Zbigniew Jędrzejewski-Szmek 2017-08-04 11:25:41 EDT
https://pagure.io/packaging-committee/issue/703
Comment 15 Zbigniew Jędrzejewski-Szmek 2017-08-04 12:07:32 EDT
... that said, if you strongly prefer "danmaQ", then just go ahead — the guidelines (the old and the new) allow camelCased names when there's good justification.
Comment 16 Zamir SUN 2017-08-05 20:19:12 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #15)
> ... that said, if you strongly prefer "danmaQ", then just go ahead — the
> guidelines (the old and the new) allow camelCased names when there's good
> justification.

Thanks. I will take this into consideration for future packaging.
Comment 17 sensor.wen 2017-08-06 09:27:59 EDT
- "_" prefix in macro names is not necessary.

%{_commit} -> %{commit}
Comment 18 Zamir SUN 2017-08-06 09:37:25 EDT
(In reply to sensor.wen from comment #17)
> - "_" prefix in macro names is not necessary.
> 
> %{_commit} -> %{commit}

Oh, thanks. Will change it when packaging into repo
Comment 19 Zamir SUN 2017-08-06 10:17:34 EDT
(In reply to Zamir SUN from comment #16)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #15)
> > ... that said, if you strongly prefer "danmaQ", then just go ahead — the
> > guidelines (the old and the new) allow camelCased names when there's good
> > justification.
In order to make it sync with other distributions - Now I will change it to lower case danmaq but leave the . Will edit corresponding tickets soon.
Comment 20 Zamir SUN 2017-08-06 10:19:36 EDT
(In reply to Zamir SUN from comment #19)
> (In reply to Zamir SUN from comment #16)
> > (In reply to Zbigniew Jędrzejewski-Szmek from comment #15)
> > > ... that said, if you strongly prefer "danmaQ", then just go ahead — the
> > > guidelines (the old and the new) allow camelCased names when there's good
> > > justification.
> In order to make it sync with other distributions - Now I will change it to
> lower case danmaq but leave the . Will edit corresponding tickets soon.
...leave the binary file unchanged.. Sorry I happened to click the submit before finishing.
Comment 22 Ralph Bean 2017-08-09 16:24:55 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/danmaq
Comment 23 Ralph Bean 2017-08-09 16:25:21 EDT
(fedrepo-req-admin):  Apologies for the delay!
Comment 24 Fedora Update System 2017-08-14 08:41:46 EDT
danmaq-0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-29f2713379
Comment 25 Fedora Update System 2017-08-15 02:23:38 EDT
danmaq-0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-29f2713379
Comment 26 Fedora Update System 2017-08-23 15:53:48 EDT
danmaq-0.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.